#!/bin/bash

if [ -d "/opt/ibm/notes" ]
then
    export NOTES_PATH=/opt/ibm/notes
fi

if [ -d "/opt/ibm/lotus/notes" ]
then
    export NOTES_PATH=/opt/ibm/lotus/notes
fi

if [ ! -d "$NOTES_PATH" ]
then
    zenity --error --text="IBM Notes not installed!"
    exit
fi

if [ ! -f "$NOTES_PATH/jvm/bin/java" ]
then
    zenity --error --text="IBM Notes version is too old!"
    exit
fi


#----------- don't edit below ----------
export LD_LIBRARY_PATH=$NOTES_PATH
export PATH=$PATH:$NOTES_PATH
export LOTUS_JAR=$NOTES_PATH/jvm/lib/ext/Notes.jar
DIRNAME=`dirname $0`
cd $DIRNAME
#$NOTES_PATH/jvm/bin/javaw -Djavax.net.ssl.trustStore=keystore.jks -Djavax.net.ssl.trustStorePassword=password -D32 -Dfile.encoding=UTF-8 -Xmx1024m -classpath "./*:lib/*:$LOTUS_JAR" MainDialog $@
$NOTES_PATH/jvm/bin/javaw -D32 -Dfile.encoding=UTF-8 -Xmx1024m -classpath "./*:lib/*:$LOTUS_JAR" MainDialog $@

